# class SignallingMessage | Abstract signalling message. More...
Full name | `TelEngine::SignallingMessage`
Definition | `#include <libs/ysig/yatesig.h>`
Inherits | TelEngine::RefObject [public ]
Inherited by | ISDNQ931Message, SS7MsgISUP, SS7MsgSCCP, SS7MsgSNM, SS7MsgSccpReassemble
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline SignallingMessage (const char* name = 0)
- inline const char* name () const
- inline NamedList& params ()
- inline const NamedList& params () const

#### Protected Members

- NamedList m_params

## Detailed Description

Interface of protocol independent signalling message

inline SignallingMessage (const char* name = 0) | ### SignallingMessage

Constructor

Parameters:

name | Named list's name

inline const char* name () | ### name

[const]

Get the name of the message

Returns: The name of the message

inline NamedList& params () | ### params

Get this message's parameter list

Returns: This message's parameter list

inline const NamedList& params () | ### params

[const]

Get this message's parameter list - const version

Returns: This message's parameter list

NamedList m_params | ### m_params

[protected]

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.